package com.hw.ems.api.domain;

import com.hw.common.core.annotation.Excel;
import com.hw.common.core.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 园区数据库对象 sys_datasource
 *
 * @author sf
 * @date 2023-04-20
 */
public class SysDatasource extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 用户ID */
    private String id;

    /** 地址 */
    @Excel(name = "地址")
    private String url;

    /** 用户名 */
    @Excel(name = "用户名")
    private String userName;

    /** 密码 */
    @Excel(name = "密码")
    private String password;

    /** 驱动 */
    @Excel(name = "驱动")
    private String driveClassName;

    /** 数据源标识 */
    @Excel(name = "数据源标识")
    private String poolName;
    private String parkName;

    /** 帐号状态（0正常 */
    @Excel(name = "帐号状态", readConverterExp = "帐号状态（0正常")
    private String status;

    /** 删除标志（0代表存在 */
    private String delFlag;

    private String cbsParkCode;

    private String cbsParkName;

    public String getCbsParkCode() {
        return cbsParkCode;
    }

    public void setCbsParkCode(String cbsParkCode) {
        this.cbsParkCode = cbsParkCode;
    }

    public String getCbsParkName() {
        return cbsParkName;
    }

    public void setCbsParkName(String cbsParkName) {
        this.cbsParkName = cbsParkName;
    }

    public void setId(String id)
    {
        this.id = id;
    }

    public String getId()
    {
        return id;
    }
    public void setUrl(String url)
    {
        this.url = url;
    }

    public String getUrl()
    {
        return url;
    }
    public void setUserName(String userName)
    {
        this.userName = userName;
    }

    public String getUserName()
    {
        return userName;
    }
    public void setPassword(String password)
    {
        this.password = password;
    }

    public String getPassword()
    {
        return password;
    }
    public void setDriveClassName(String driveClassName)
    {
        this.driveClassName = driveClassName;
    }

    public String getDriveClassName()
    {
        return driveClassName;
    }
    public void setPoolName(String poolName)
    {
        this.poolName = poolName;
    }

    public String getPoolName()
    {
        return poolName;
    }
    public void setStatus(String status)
    {
        this.status = status;
    }

    public String getStatus()
    {
        return status;
    }
    public void setDelFlag(String delFlag)
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag()
    {
        return delFlag;
    }

    public String getParkName() {
		return parkName;
	}

	public void setParkName(String parkName) {
		this.parkName = parkName;
	}

	@Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("url", getUrl())
            .append("userName", getUserName())
            .append("password", getPassword())
            .append("driveClassName", getDriveClassName())
            .append("poolName", getPoolName())
            .append("status", getStatus())
            .append("delFlag", getDelFlag())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
